List calls
curl --request GET \
--url https://api.eu.volubile.ai/v1/calls \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.eu.volubile.ai/v1/calls"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.eu.volubile.ai/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone": "+33612345678",
"duration": 360,
"startTime": "2024-07-30T14:35:00Z",
"endTime": "2024-07-30T14:41:00Z",
"anonymous": true,
"extractors": [
{
"name": "customer",
"value": [
{
"name": "firstname",
"value": [
"John"
]
},
{
"name": "lastname",
"value": [
"Doe"
]
},
{
"name": "address",
"value": [
"123 Main St"
]
}
]
},
{
"name": "example",
"value": [
"example1"
]
}
],
"extractedData": {
"customer": {
"firstname": "John",
"lastname": "Doe",
"address": "123 Main St"
},
"example": "example1"
},
"classifiers": [
{
"name": "Customer's request",
"value": "Refund"
},
{
"name": "Sentiment",
"value": "Positive"
}
],
"classificationData": {
"Customer's request": "Refund",
"Sentiment": "Positive"
},
"context": {
"firstName": "firstname",
"lastName": "lastname",
"orderNumber": "5HZ99FRT",
"system": {
"phone": "+33612345678"
}
},
"recorded": true,
"summary": "Discussed project requirements and next steps.",
"tags": [
"tag1",
"tag2",
"tag3"
],
"created": "2024-07-30T14:45:00Z"
}
],
"size": 123,
"page": 123,
"totalElements": 123,
"totalPages": 123
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}Calls
List calls
GET
/
v1
/
calls
List calls
Authorizations
Api keyBearer token
Your API key.
Query Parameters
Filter by agent id
Filter by phone number, in the E.164 international standard format
Example:
"+33612345678"
Filter by campaign name
Filter by date, inclusive lower bound. Requires 'to' to not be null.
Format: YYYY-MM-DD
Example:
"2024-08-01"
Filter by date, inclusive upper bound. Requires 'from' to not be null.
Format: YYYY-MM-DD
Example:
"2024-08-31"
The page number to be returned, starts at 1
The number of items to be returned, maximum 100
The sort property and direction
Available options:
<property>,ASC, <property>,DESC Example:
"property,DESC"
⌘I